using System.Threading.Tasks;
using YBDevice.Application;
using YBDevice.Entity;

namespace YBDevice.NWeb.Pages.OutProduct
{
    public class EditExpressModel : BaseModel
    {
        public YB_ExPress data = new YB_ExPress();
        private IProductService _productService;
        public EditExpressModel(IProductService productService)
        {
            _productService = productService;
        }
        public async Task OnGetAsync(int id=0)
        {
            if(id > 0)
            {
                data = await _productService.DetailExpressAsync(id);
            }
        }
    }
}
